#define USE_TI89              // Produce .89z File
#define USE_TI92PLUS          // Produce .9xz File
#define OPTIMIZE_ROM_CALLS    // Use ROM Call Optimization
#define SAVE_SCREEN           // Save/Restore LCD Contents

#include <tigcclib.h>         // Include All Header Files

void PlaySound(short freq, long dur) {
  long int loop, endloop = freq*dur/45;
  short int temp, temp2;
  freq = (HW2 ? 364000 : 278000)/freq;
  temp2 = peekIO(0x60000E); 
  pokeIO(0x60000C, 6) ;
  for (loop = 0 ; loop < endloop ; loop++) {
   pokeIO(0x60000E, temp2 ^= 0x03) ;
   for (temp = 0 ; temp <= freq ; temp--) temp += 2;}
  pokeIO(0x60000E, 0);
  pokeIO(0x60000C, 0x8D);}
 
void _main(void) {
 clrscr();
 FontSetSys(F_8x10);
 DrawStr((LCD_WIDTH-152)/2,2,"Electronic Keyboard",A_NORMAL);
 FontSetSys(F_6x8);
 DrawStr((LCD_WIDTH-96)/2,(LCD_HEIGHT-4)/2,"By William White",A_NORMAL);
 DrawStr((LCD_WIDTH-108)/2,((LCD_HEIGHT-4)/2)+8,"Press [+] to Quit.",A_NORMAL);
 while (kbhit() != '+') {
 PlaySound(kbhit()+1,25);
 if (kbhit() > 0) GKeyFlush ();} //I'm pretty sure there's a faster way
 }
 